Subject: bug#41221: Add some ediff faces to misterioso theme to improve readability

From: Simon Lang <[email-masked]>
Date: Wed, 13 May 2020 06:24:19 +0000

Hi,

sorry, I relaized that I forgot about 

ediff-even-diff-C
ediff-odd-diff-C

I added these now (trivial change, same faces as the others).

Thank you!!

________________________________________
From: Stefan Kangas <[email-masked]>
Sent: 13 May 2020 02:16
To: Simon Lang; [email-masked]
Cc: Eli Zaretskii
Subject: Re: bug#41221: Add some ediff faces to misterioso theme to improve readability

Simon Lang <[email-masked]> writes:

> This fix adds ediff faces for
>
> ediff-even-diff-A
> ediff-even-diff-B
> ediff-odd-diff-A
> ediff-odd-diff-B

Thank you for your contribution.

This is obviously broken in the theme as is, since you can't read the
changed text in ediff.  I tested it, and your change looks good to me.

Eli, is the below acceptable for emacs-27?

> diff --git a/etc/themes/misterioso-theme.el b/etc/themes/misterioso-theme.el
> index 8161dbd9e9..030cb3dd75 100644
> --- a/etc/themes/misterioso-theme.el
> +++ b/etc/themes/misterioso-theme.el
> @@ -63,6 +63,11 @@
>     `(button ((,class (:underline t))))
>     `(link ((,class (:foreground "#59e9ff" :underline t))))
>     `(link-visited ((,class (:foreground "#ed74cd" :underline t))))
> +   ;; Ediff
> +   `(ediff-even-diff-A ((,class (:background "#1d2430"))))
> +   `(ediff-even-diff-B ((,class (:background "#1d2430"))))
> +   `(ediff-odd-diff-A ((,class (:background "#415160"))))
> +   `(ediff-odd-diff-B ((,class (:background "#415160"))))

Best regards,
Stefan Kangas